"use strict";

import { Image } from "../image/index.js";
import { useImage } from "../image/use-image.js";
import { AvatarLabel } from "./avatar-label.js";
import { jsx as _jsx } from "react/jsx-runtime";
export function AvatarImage(props) {
  const {
    name,
    src,
    getInitials,
    borderRadius,
    labelStyles
  } = props;
  const status = useImage({
    src
  });
  const hasLoaded = status === 'loaded';
  const showFallback = !hasLoaded || !src;
  const imageStyles = {
    width: '100%',
    height: '100%',
    borderRadius
  };
  if (showFallback) {
    return /*#__PURE__*/_jsx(AvatarLabel, {
      getInitials: getInitials,
      name: name,
      __styles: {
        ...labelStyles
      }
    });
  }
  return /*#__PURE__*/_jsx(Image, {
    src: src,
    alt: name,
    __styles: imageStyles
  });
}
//# sourceMappingURL=avatar-image.js.map