"use strict";

import { useMemo } from 'react';
import { ficus } from "../system/index.js";
import { jsx as _jsx } from "react/jsx-runtime";
export function initials(name) {
  const names = name.trim().split(' ');
  const firstName = names[0] ?? '';
  const lastName = names.length > 1 ? names[names.length - 1] : '';
  return firstName && lastName ? `${firstName.charAt(0)}${lastName.charAt(0)}` : firstName.charAt(0);
}
export function AvatarLabel({
  name,
  getInitials,
  __styles
}) {
  const getInitialsFn = getInitials ?? initials;
  const labelStyles = useMemo(() => ({
    textAlign: 'center',
    textAlignVertical: 'center',
    ...__styles
  }), [__styles]);
  return /*#__PURE__*/_jsx(ficus.Text, {
    role: "img",
    "aria-label": "name",
    __styles: labelStyles,
    children: name ? getInitialsFn?.(name) : null
  });
}
//# sourceMappingURL=avatar-label.js.map