"use strict";

import { Avatar } from "./index.js";
import { renderWithTheme as render } from "../../test-utils/index.js";
import { theme } from "../../theme/index.js";
import { jsx as _jsx } from "react/jsx-runtime";
jest.mock('react-native-toast-message', () => 'Toast');
describe('Avatar component', () => {
  it('renders initials when no image is provided', () => {
    const {
      getByText
    } = render(/*#__PURE__*/_jsx(Avatar, {
      name: "John Doe",
      testID: "avatar-initials"
    }));
    expect(getByText('JD')).toBeTruthy();
  });
  it('renders with a default background color', () => {
    const {
      getByTestId
    } = render(/*#__PURE__*/_jsx(Avatar, {
      name: "John Doe",
      testID: "avatar-bg"
    }));
    expect(getByTestId('avatar-bg')).toHaveStyle({
      backgroundColor: '#f2a9cd'
    });
  });
  it('renders with a custom color scheme', () => {
    const {
      getByTestId
    } = render(/*#__PURE__*/_jsx(Avatar, {
      name: "John Doe",
      colorScheme: "blue",
      testID: "avatar-color-scheme"
    }));
    expect(getByTestId('avatar-color-scheme')).toHaveStyle({
      backgroundColor: theme.colors.blue[300]
    });
  });
});
//# sourceMappingURL=avatar.spec.js.map