"use strict";

import { Badge } from "./index.js";
import { renderWithTheme as render } from "../../test-utils/index.js";
import { theme } from "../../theme/index.js";
import { jsx as _jsx } from "react/jsx-runtime";
jest.mock('react-native-toast-message', () => 'Toast');
describe('Badge component', () => {
  it('with no props should render default badge', () => {
    const {
      getByTestId
    } = render(/*#__PURE__*/_jsx(Badge, {
      testID: "badge-no-props",
      children: "Test"
    }));

    // colorScheme gray and variant subtle
    expect(getByTestId('badge-no-props')).toHaveStyle({
      backgroundColor: theme.colors.gray[100]
    });
  });
  it('with variant should apply variant style', () => {
    const {
      getByTestId
    } = render(/*#__PURE__*/_jsx(Badge, {
      variant: "solid",
      colorScheme: "green",
      testID: "badge-variant",
      children: "Test"
    }));
    expect(getByTestId('badge-variant')).toHaveStyle({
      backgroundColor: theme.colors.green[500]
    });
  });
});
//# sourceMappingURL=badge.spec.js.map