"use strict";

import { omitThemingProps, splitTextProps } from "../../style-system/index.js";
import { ficus, forwardRef, useStyleConfig } from "../system/index.js";
import { jsx as _jsx } from "react/jsx-runtime";
export const Badge = forwardRef(function Badge(props, ref) {
  const styles = useStyleConfig('Badge', props);
  const {
    children,
    ...rest
  } = omitThemingProps(props);
  const [textStyles, restStyles] = splitTextProps(styles);
  return /*#__PURE__*/_jsx(ficus.View, {
    ref: ref,
    ...rest,
    __styles: restStyles,
    children: /*#__PURE__*/_jsx(ficus.Text, {
      __styles: textStyles,
      children: children
    })
  });
});
//# sourceMappingURL=index.js.map