"use strict";

import { ficus, forwardRef } from "../system/index.js";
import { jsx as _jsx } from "react/jsx-runtime";
/**
 * Boxs help you easily create flexible and automatically distributed layouts
 *
 * You can Box elements in the horizontal or vertical direction,
 * and apply a space or/and divider between each element.
 *
 */
export const Box = forwardRef((props, ref) => {
  const {
    bgImg,
    bgMode,
    ...rest
  } = props;
  if (bgImg) {
    return /*#__PURE__*/_jsx(ficus.Image, {
      ref: ref,
      source: bgImg,
      resizeMode: bgMode,
      ...rest
    });
  }
  return /*#__PURE__*/_jsx(ficus.View, {
    ref: ref,
    ...rest
  });
});
export const Circle = ficus('View', {
  baseStyle: {
    borderRadius: 'full'
  }
});
//# sourceMappingURL=index.js.map