"use strict";

import { Center } from "./index.js";
import { renderWithTheme as render } from "../../test-utils/index.js";
import { theme } from "../../theme/index.js";
import { Box } from "../box/index.js";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
jest.mock('react-native-toast-message', () => 'Toast');
describe('Center component', () => {
  it('should render child components correctly', () => {
    const {
      getByTestId
    } = render(/*#__PURE__*/_jsxs(Center, {
      testID: "center-container",
      children: [/*#__PURE__*/_jsx(Box, {
        h: 40,
        w: 40,
        mr: "sm",
        bg: "green.500",
        testID: "box-green"
      }), /*#__PURE__*/_jsx(Box, {
        h: 40,
        w: 40,
        mr: "sm",
        bg: "teal.500",
        testID: "box-teal"
      })]
    }));
    expect(getByTestId('center-container')).toHaveStyle({
      alignItems: 'center',
      justifyContent: 'center'
    });
    expect(getByTestId('box-green')).toHaveStyle({
      backgroundColor: theme.colors.green[500],
      height: 40,
      width: 40,
      marginRight: theme.space.sm
    });
    expect(getByTestId('box-teal')).toHaveStyle({
      backgroundColor: theme.colors.teal[500],
      height: 40,
      width: 40,
      marginRight: theme.space.sm
    });
  });
});
//# sourceMappingURL=center.spec.js.map