"use strict";

import { Divider } from "./index.js";
import { renderWithTheme as render } from "../../test-utils/index.js";
import { theme } from "../../theme/index.js";
import { jsx as _jsx } from "react/jsx-runtime";
jest.mock('react-native-toast-message', () => 'Toast');
describe('Flex component', () => {
  it('applies the horizontal direction', () => {
    const {
      getByTestId
    } = render(/*#__PURE__*/_jsx(Divider, {
      testID: "divider-container",
      orientation: "horizontal"
    }));
    const dividerComponent = getByTestId('divider-container');
    expect(dividerComponent).toBeTruthy();
  });
  it('applies the vertical direction', () => {
    const {
      getByTestId
    } = render(/*#__PURE__*/_jsx(Divider, {
      testID: "divider-container",
      orientation: "vertical"
    }));
    const dividerComponent = getByTestId('divider-container');
    expect(dividerComponent).toBeTruthy();
  });
  it('applies the red color', () => {
    const {
      getByTestId
    } = render(/*#__PURE__*/_jsx(Divider, {
      testID: "divider-variant",
      orientation: "vertical",
      color: "red.500"
    }));
    const dividerComponent = getByTestId('divider-variant');
    expect(dividerComponent).toHaveStyle({
      backgroundColor: theme.colors.red[500]
    });
  });
});
//# sourceMappingURL=divider.spec.js.map