"use strict";

import { Flex } from "./index.js";
import { renderWithTheme as render } from "../../test-utils/index.js";
import { Box } from "../box/index.js";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
jest.mock('react-native-toast-message', () => 'Toast');
describe('Flex component', () => {
  it('applies the row direction', () => {
    const {
      getByTestId
    } = render(/*#__PURE__*/_jsxs(Flex, {
      testID: "flex-container",
      direction: "row",
      children: [/*#__PURE__*/_jsx(Box, {
        h: 40,
        w: 40,
        mr: "sm",
        bg: "green.500"
      }), /*#__PURE__*/_jsx(Box, {
        h: 40,
        w: 40,
        mr: "sm",
        bg: "teal.500"
      })]
    }));
    const flexComponent = getByTestId('flex-container');
    expect(flexComponent.props.style?.flexDirection).toBe('row');
  });
  it('applies the column direction', () => {
    const {
      getByTestId
    } = render(/*#__PURE__*/_jsxs(Flex, {
      testID: "flex-container",
      direction: "column",
      children: [/*#__PURE__*/_jsx(Box, {
        h: 40,
        w: 40,
        mr: "sm",
        bg: "green.500"
      }), /*#__PURE__*/_jsx(Box, {
        h: 40,
        w: 40,
        mr: "sm",
        bg: "teal.500"
      })]
    }));
    const flexComponent = getByTestId('flex-container');
    expect(flexComponent.props.style?.flexDirection).toBe('column');
  });
});
//# sourceMappingURL=flex.spec.js.map