"use strict";

import { getColor, getProperty, useTheme } from "../../theme/index.js";
import { ficus, forwardRef } from "../system/index.js";
import { getIconSet } from "./icon.service.js";
import { jsx as _jsx } from "react/jsx-runtime";
export const Icon = forwardRef(function Icon(props, ref) {
  const {
    name,
    iconSet,
    color = 'gray.800',
    size,
    ...rest
  } = props;
  const IconComponent = getIconSet(iconSet);
  const {
    theme
  } = useTheme();
  return /*#__PURE__*/_jsx(ficus.View, {
    ref: ref,
    ...rest,
    children: /*#__PURE__*/_jsx(IconComponent, {
      color: getColor(color, theme.colors),
      size: getProperty(size, theme.fontSizes),
      name: name
    })
  });
});
//# sourceMappingURL=index.js.map