"use strict";

import { Modal } from "./index.js";
import { renderWithTheme as render } from "../../test-utils/index.js";
import { Box } from "../box/index.js";
import { jsx as _jsx } from "react/jsx-runtime";
jest.mock('react-native-toast-message', () => 'Toast');
describe('Modal component', () => {
  it('is visible when the visible prop is true', () => {
    const {
      getByTestId
    } = render(/*#__PURE__*/_jsx(Modal, {
      testID: "modal",
      visible: true,
      children: /*#__PURE__*/_jsx(Box, {
        h: 40,
        w: 40,
        bg: "green.500"
      })
    }));
    const modalComponent = getByTestId('modal');
    expect(modalComponent.props.visible).toBe(true);
  });
  it('renders children correctly', () => {
    const {
      getByTestId
    } = render(/*#__PURE__*/_jsx(Modal, {
      testID: "modal",
      visible: true,
      children: /*#__PURE__*/_jsx(Box, {
        testID: "modal-content",
        h: 40,
        w: 40,
        bg: "green.500"
      })
    }));
    const modalContent = getByTestId('modal-content');
    expect(modalContent).toBeTruthy();
  });
});
//# sourceMappingURL=modal.spec.js.map