"use strict";

import { ficus, forwardRef } from "../system/index.js";
import { pressableStyleFn } from "./pressable.service.js";
import { jsx as _jsx } from "react/jsx-runtime";
/**
 * Unstyled wrapper around React Native Pressable Component.
 * @see https://reactnative.dev/docs/pressable
 *
 * Instead of passing a style function for the pressed state,
 * `pressed` style can be defined using the `_pressed` proprety
 */
export const Pressable = forwardRef(function Pressable(props, ref) {
  return /*#__PURE__*/_jsx(ficus.Pressable, {
    ref: ref,
    __stylesFn: pressableStyleFn,
    ...props
  });
});
//# sourceMappingURL=index.js.map