"use strict";

import { useColorMode } from "../../hooks/index.js";
import { getColor, useTheme } from "../../theme/index.js";
import { ficus, forwardRef } from "../system/index.js";
import { jsx as _jsx } from "react/jsx-runtime";
export const BaseSpinner = ficus('ActivityIndicator', {
  excludedProps: ['color']
});

// TODO: Add to theme for default style ?
export const Spinner = forwardRef((props, ref) => {
  const {
    colorMode
  } = useColorMode();
  const {
    color = colorMode === 'dark' ? 'white' : 'black',
    ...rest
  } = props;
  const {
    theme
  } = useTheme();
  const resolvedColor = getColor(color, theme.colors);
  return /*#__PURE__*/_jsx(BaseSpinner, {
    ref: ref,
    ...rest,
    color: resolvedColor
  });
});
//# sourceMappingURL=index.js.map