"use strict";

import { Spinner } from "./index.js";
import { renderWithTheme as render } from "../../test-utils/index.js";
import { jsx as _jsx } from "react/jsx-runtime";
describe('ActivityIndicator Component', () => {
  it('renders with default props', () => {
    const {
      getByTestId
    } = render(/*#__PURE__*/_jsx(Spinner, {
      testID: "loading-indicator"
    }));
    expect(getByTestId('loading-indicator')).toBeTruthy();
  });
  it('applies custom color', () => {
    const {
      getByTestId
    } = render(/*#__PURE__*/_jsx(Spinner, {
      testID: "loading-indicator",
      color: "red"
    }));
    expect(getByTestId('loading-indicator').props.color).toBe('red');
  });
  it('applies custom size', () => {
    const {
      getByTestId
    } = render(/*#__PURE__*/_jsx(Spinner, {
      testID: "loading-indicator",
      size: "large"
    }));
    expect(getByTestId('loading-indicator').props.size).toBe('large');
  });
});
//# sourceMappingURL=spinner.spec.js.map