"use strict";

import { Text } from 'react-native';
import { renderWithTheme as render } from "../../test-utils/index.js";
import { Stack } from "./stack.js";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
describe('Stack Component', () => {
  it('renders children correctly', () => {
    const {
      getByText
    } = render(/*#__PURE__*/_jsxs(Stack, {
      children: [/*#__PURE__*/_jsx(Text, {
        children: "Item 1"
      }), /*#__PURE__*/_jsx(Text, {
        children: "Item 2"
      }), /*#__PURE__*/_jsx(Text, {
        children: "Item 3"
      })]
    }));
    expect(getByText('Item 1')).toBeTruthy();
    expect(getByText('Item 2')).toBeTruthy();
    expect(getByText('Item 3')).toBeTruthy();
  });
  it('applies spacing correctly', () => {
    const {
      getByText
    } = render(/*#__PURE__*/_jsxs(Stack, {
      gap: 8,
      children: [/*#__PURE__*/_jsx(Text, {
        children: "Item 1"
      }), /*#__PURE__*/_jsx(Text, {
        children: "Item 2"
      })]
    }));
    const item1 = getByText('Item 1');
    const item2 = getByText('Item 2');
    expect(item1).toBeTruthy();
    expect(item2).toBeTruthy();
  });
});
//# sourceMappingURL=stack.spec.js.map