"use strict";

import { styled } from "./system.js";
function factory() {
  const cache = new Map();
  return new Proxy(styled, {
    apply(_target, _thisArg, argArray) {
      return styled(...argArray);
    },
    get(_, element) {
      if (!cache.has(element)) {
        cache.set(element, styled(element));
      }
      return cache.get(element);
    }
  });
}
export const ficus = factory();
//# sourceMappingURL=factory.js.map