"use strict";

import { splitProps } from '@chakra-ui/utils';
import { isStyleProp } from "../../style-system/index.js";
import { ficus, forwardRef } from "../system/index.js";
import { jsx as _jsx } from "react/jsx-runtime";
export const TouchableWithoutFeedback = forwardRef(function TouchableWithoutFeedback(props, ref) {
  const [styles, touchableProps] = splitProps(props, isStyleProp);
  const {
    children,
    ...rest
  } = touchableProps;

  /**
   * We need to render a View inside because React Native TouchableWithoutFeedback is not stylable
   */
  return /*#__PURE__*/_jsx(ficus.TouchableWithoutFeedback, {
    ref: ref,
    ...rest,
    children: /*#__PURE__*/_jsx(ficus.View, {
      __styles: styles,
      children: children
    })
  });
});
//# sourceMappingURL=touchable-without-feedback.js.map