"use strict";

export function assignRef(ref, value) {
  if (ref == null) return;
  if (typeof ref === 'function') {
    ref(value);
    return;
  }
  try {
    ref.current = value;
  } catch (error) {
    throw new Error(`Cannot assign value '${value}' to ref '${ref}'`);
  }
}

/**
 * All credit goes to Chakra UI.
 */
export function mergeRefs(...refs) {
  return node => {
    refs.forEach(ref => {
      assignRef(ref, node);
    });
  };
}
//# sourceMappingURL=merge-refs.js.map