"use strict";

import { useContext } from 'react';
import { ThemeContext } from "../../theme/context.js";
export const useColorModeValue = (lightValue, darkValue) => {
  const themeContext = useContext(ThemeContext);
  if (!themeContext) {
    throw new Error('useColorModeValue must be used within ficus ThemeProvider');
  }
  if (themeContext.colorMode === 'dark') {
    return darkValue;
  }
  return lightValue;
};
//# sourceMappingURL=useColorModeValue.js.map