"use strict";

import { useWindowDimensions } from 'react-native';
const useMediaQuery = (...widths) => {
  const {
    width
  } = useWindowDimensions();
  return widths.map(givenWidth => {
    if (givenWidth?.minWidth && givenWidth?.maxWidth) {
      return width >= givenWidth?.minWidth && width < givenWidth?.maxWidth;
    }
    if (givenWidth?.minWidth && !givenWidth?.maxWidth) {
      return width >= givenWidth?.minWidth;
    }
    if (!givenWidth?.minWidth && givenWidth?.maxWidth) {
      return width < givenWidth?.maxWidth;
    }
    return false;
  });
};
export { useMediaQuery };
//# sourceMappingURL=useMediaQuery.js.map