"use strict";

import Toast from 'react-native-toast-message';
import { useColorMode } from "../color-mode/useColorMode.js";
const useToast = () => {
  const {
    show,
    hide
  } = Toast;
  const {
    colorMode
  } = useColorMode();
  const showToast = props => show({
    props: {
      colorMode
    },
    ...props
  });
  return {
    show: showToast,
    hide,
    Toast
  };
};
export { useToast };
//# sourceMappingURL=useToast.js.map