"use strict";

import { t } from "../utils/index.js";
import { transforms } from "../utils/transform-functions.js";
export const text = {
  color: t.colors('color'),
  textColor: t.colors('color'),
  fontSize: t.prop('fontSize', 'fontSizes', transforms.getThemeProp),
  textDecorLine: t.prop('textDecorationLine'),
  textDecorStyle: t.prop('textDecorationStyle'),
  fontStyle: true,
  textDecorColor: t.colors('textDecorationColor'),
  fontWeight: t.prop('fontWeight', 'fonts', transforms.getFontWeight, ['fontFamily']),
  fontFamily: t.prop('fontFamily', 'fonts', transforms.getThemeFontFamily, ['fontWeight']),
  lineHeight: true,
  textAlign: true,
  textTransform: true,
  letterSpacing: true,
  textAlignVertical: true,
  textDecorationLine: true,
  textDecorationStyle: true,
  textDecorationColor: t.colors('textDecorationColor'),
  textShadowColor: t.colors('shadowColor'),
  textShadowOffset: t.shadows('textShadowOffset'),
  textShadowRadius: t.radius('textShadowRadius')
};

/**
 * Only for React native Text Component
 */
//# sourceMappingURL=text.js.map