"use strict";

/**
 * Represents states managed by the React Native `Pressable` component.
 * These states are controlled automatically based on user interactions.
 */

/**
 * Represents custom states that are manually controlled within the library.
 */

export function stateStyleResolver(states, colorMode) {
  const isDark = colorMode === 'dark';
  return function resolver(styles) {
    return {
      ...styles,
      ...(isDark ? styles._dark : {}),
      _dark: null,
      ...(states.focused ? isDark ? {
        ...styles._focused,
        ...styles._focused?._dark
      } : styles._focused : {}),
      _focused: null,
      ...(states.checked ? isDark ? {
        ...styles._checked,
        ...styles._checked?._dark
      } : styles._checked : {}),
      _checked: null,
      ...(states.disabled ? isDark ? {
        ...styles._disabled,
        ...styles._disabled?._dark
      } : styles._disabled : {}),
      _disabled: null
    };
  };
}
//# sourceMappingURL=state-styles.js.map