"use strict";

import { createTransform } from "./create-transform.js";
import { toConfig } from "./prop-config.js";
import { transforms } from "./transform-functions.js";
export const t = {
  colors: toConfig('colors', transforms.getThemeColor),
  borderWidths: toConfig('borderWidths'),
  borderStyles: toConfig('borderStyles'),
  radius: toConfig('radius', transforms.getThemeProp),
  space: toConfig('space', transforms.getThemeProp),
  shadows: toConfig('shadows', transforms.getThemeProp),
  sizes: toConfig('sizes', transforms.getThemeProp),
  flexbox: toConfig('flexbox'),
  prop(property, scope, transform, peerProperties) {
    return {
      property,
      scope,
      transform: createTransform({
        transform
      }),
      peerProperties
    };
  }
};
export * from "./prop-config.js";
export * from "./types.js";
export * from "./expand-responsive.js";
//# sourceMappingURL=index.js.map