import React from 'react';
import { ButtonProps } from '.';
import { Dict, SystemStyleObject } from '../../style-system';
/**
 * Splits children into an array, wrapping text children in `ficus.Text` with applied styles.
 */
export declare function splitChildren(children: React.ReactNode, textStyles: Dict | undefined, buttonId?: string): React.ReactNode;
/**
 * Custom hook for managing button behavior and styles.
 */
export declare function useButton(props: ButtonProps, styles: SystemStyleObject): {
    buttonStyles: SystemStyleObject;
    spinnerStyles: {
        readonly position: "absolute" | "relative";
        readonly spacing: 8;
        readonly loaderColor: string;
    };
    textStyles: {
        [x: string]: unknown;
    };
    loadingText: "" | React.JSX.Element | undefined;
    /**
     * Retrieves the processed button children.
     */
    getChildren(): string | number | boolean | React.ReactElement<any, string | React.JSXElementConstructor<any>> | Iterable<React.ReactNode> | ((state: import("react-native").PressableStateCallbackType) => React.ReactNode) | null | undefined;
};
//# sourceMappingURL=button.service.d.ts.map