export interface UseImageOptions {
    /**
     * The React Native `source.uri` property
     */
    src?: string;
}
type Status = 'loading' | 'failed' | 'pending' | 'loaded';
/**
 * Custom hook to track the loading status of an image.
 *
 * @returns The current loading status of the image.
 *
 * @example
 * ```tsx
 * const status = useImage({ src: 'https://example.com/image.jpg' });
 * console.log(status); // "loading" | "loaded" | "failed" | "pending"
 * ```
 */
export declare function useImage({ src }: UseImageOptions): Status;
export {};
//# sourceMappingURL=use-image.d.ts.map