import { InputProps } from '.';
import { SystemStyleObject } from '../../style-system';
/**
 * Custom hook for managing input behavior and styles.
 */
export declare function useInput(props: InputProps, styles: SystemStyleObject, isFocused: boolean): {
    inputContainerStyles: any;
    inputStyles: {
        lineHeight: number;
        fontSize?: number | undefined;
        flex: number;
        borderWidth: number;
        padding: number;
        margin: number;
        height: number;
        color: string;
    };
    spinnerStyles: {
        readonly position: "absolute";
        readonly spacing: 8;
        readonly loaderColor: string;
    };
    prefixStyles: {
        marginRight: number;
    };
    suffixStyles: {
        marginLeft: number;
    };
};
//# sourceMappingURL=input.service.d.ts.map