import type { StyleProp, ViewStyle } from 'react-native';
import { SystemStyleObject } from '../../style-system';
import { NativeFicusProps } from '../system';
export interface PressableProps extends NativeFicusProps<'Pressable'> {
    /**
     * Regular view styles
     */
    style?: StyleProp<ViewStyle>;
    /**
     * Styles to apply when the component is pressed
     */
    _pressed?: SystemStyleObject;
}
/**
 * Unstyled wrapper around React Native Pressable Component.
 * @see https://reactnative.dev/docs/pressable
 *
 * Instead of passing a style function for the pressed state,
 * `pressed` style can be defined using the `_pressed` proprety
 */
export declare const Pressable: import("../system/system.types").ComponentWithAs<"Pressable", Omit<PressableProps, "as">>;
//# sourceMappingURL=index.d.ts.map