import { ThemingProps } from '../../style-system';
import { type NativeFicusProps } from '../system';
interface SliderOptions {
    /**
     * The minimum value of the slider.
     * @default 0
     */
    min?: number;
    /**
     * The maximum value of the slider.
     * @default 100
     */
    max?: number;
    /**
     * The default value of the slider.
     */
    defaultValue?: number;
    /**
     * The color of the track.
     */
    trackColor?: string;
    /**
     * The color of the thumb.
     */
    thumbColor?: string;
    /**
     * The color of the filled track.
     */
    filledTrackColor?: string;
}
export interface SliderProps extends NativeFicusProps<'Slider'>, SliderOptions, ThemingProps<'Slider'> {
    /**
     * @private
     * Use `trackColor` instead.
     */
    minimumTrackTintColor?: string;
    /**
     * @private
     * Use `filledTrackColor` instead.
     */
    maximumTrackTintColor?: string;
}
export declare const Slider: import("../system/system.types").ComponentWithAs<"Slider", Omit<SliderProps, "as">>;
export {};
//# sourceMappingURL=index.d.ts.map