/// <reference types="react" />
import { SystemProps } from '../../style-system';
import { type NativeFicusProps } from '../system';
interface StackOptions {
    /**
     * The space between each stack item
     * @type SystemProps["margin"]
     * @default "8px"
     */
    spacing?: SystemProps['m'];
    /**
     * If `true`, each stack item will show a divider
     * @type React.ReactElement
     */
    divider?: React.ReactElement;
}
export interface StackProps extends NativeFicusProps<'View'>, StackOptions {
}
/**
 * Stacks help you easily create flexible and automatically distributed layouts
 *
 * You can stack elements in the horizontal or vertical direction,
 * and apply a space or/and divider between each element.
 *
 */
export declare const Stack: import("../system/system.types").ComponentWithAs<"View", Omit<StackProps, "as">>;
export {};
//# sourceMappingURL=stack.d.ts.map