/// <reference types="react" />
import RNSlider from '@react-native-community/slider';
import { FlashList as ShopifyFlashList } from '@shopify/flash-list';
import { ActivityIndicator as RNActivityIndicator, FlatList as RNFlatList, Image as RNImage, Modal as RNModal, SafeAreaView as RNSafeAreaView, ScrollView as RNScrollView, SectionList as RNSectionList, Text as RNText, TextInput as RNTextInput, TouchableWithoutFeedback as RNTouchableWithoutFeedback, View as RNView } from 'react-native';
import RNPickerSelect from 'react-native-picker-select';
import { TabView as RNTabView } from 'react-native-tab-view';
/**
 * These are the basic react native elements that are supported with the `ficus.View` notation.
 */
export declare const baseRNElements: {
    readonly View: typeof RNView;
    readonly Image: typeof RNImage;
    readonly Text: typeof RNText;
    readonly ScrollView: typeof RNScrollView;
    readonly SafeAreaView: typeof RNSafeAreaView;
    readonly TouchableHighlight: import("react").ForwardRefExoticComponent<import("react-native").TouchableHighlightProps & import("react").RefAttributes<RNView>>;
    readonly TouchableOpacity: import("react").ForwardRefExoticComponent<import("react-native").TouchableOpacityProps & import("react").RefAttributes<RNView>>;
    readonly TouchableWithoutFeedback: typeof RNTouchableWithoutFeedback;
    readonly Pressable: import("react").ForwardRefExoticComponent<import("react-native").PressableProps & import("react").RefAttributes<RNView>>;
    readonly ActivityIndicator: typeof RNActivityIndicator;
    readonly Slider: typeof RNSlider;
    readonly FlatList: typeof RNFlatList;
    readonly SectionList: typeof RNSectionList;
    readonly FlashList: typeof ShopifyFlashList;
    readonly Modal: typeof RNModal;
    readonly BottomSheetModal: import("react").MemoExoticComponent<import("react").ForwardRefExoticComponent<import("@gorhom/bottom-sheet").BottomSheetModalProps & import("react").RefAttributes<import("@gorhom/bottom-sheet/lib/typescript/types").BottomSheetModalMethods>>>;
    readonly BottomSheetView: import("react").MemoExoticComponent<({ focusHook: useFocusHook, enableFooterMarginAdjustment, onLayout, style, children, ...rest }: import("@gorhom/bottom-sheet/lib/typescript/components/bottomSheetView/types").BottomSheetViewProps) => import("react").JSX.Element>;
    readonly TextInput: typeof RNTextInput;
    readonly CodeField: import("react-native-confirmation-code-field/esm/CodeField").CodeFieldOverridableComponent;
    readonly PickerSelect: typeof RNPickerSelect;
    readonly TabView: typeof RNTabView;
};
export type BaseRNElements = keyof typeof baseRNElements;
//# sourceMappingURL=base-elements.d.ts.map