/// <reference types="react" />
import type { StyleProp } from 'react-native';
import { StyleProps, SystemStyleObject } from '../../style-system';
import { BaseRNElements } from './base-elements';
import type { AsProps, FicusComponent, FicusProps, PropsOf } from './system.types';
import { RNElementType } from './system.utils';
type Dict<T = any> = Record<string, T>;
type GetStyleObject = (options: {
    baseStyle?: SystemStyleObject;
}) => (propsWithTheme: {
    theme: Dict;
    style: StyleProp<any>;
} & Dict) => StyleProp<any>;
export declare const toStyleSheetObject: GetStyleObject;
export interface FicusStyledOptions extends Dict {
    label?: string;
    baseStyle?: SystemStyleObject;
    excludedProps?: string[];
    styleProp?: string;
}
export declare function styled<T extends React.ComponentType<any> | RNElementType, P extends object = {}>(component: T, options?: FicusStyledOptions): FicusComponent<T, P>;
export type NativeFicusComponents = {
    [Tag in BaseRNElements]: FicusComponent<Tag, {}>;
};
export type NativeFicusProps<T extends RNElementType> = Omit<PropsOf<T>, 'ref' | keyof StyleProps> & FicusProps<T> & AsProps;
export {};
//# sourceMappingURL=system.d.ts.map