import React, { ReactNode } from 'react';
import { TabBarProps } from 'react-native-tab-view';
import { Props as RNTabBarProps } from 'react-native-tab-view/lib/typescript/src/TabBar';
import { Route } from 'react-native-tab-view/lib/typescript/src/types';
import { type NativeFicusProps } from '../system';
interface TabsOptions {
    colorScheme?: string;
    initialPage?: number;
    selectedTab?: number;
    onChangeTab: (index: number) => void;
    children?: ReactNode;
}
export interface TabsProps extends Omit<NativeFicusProps<'TabView'>, 'onIndexChange' | 'navigationState' | 'renderScene'>, TabsOptions {
}
export declare const Tabs: (props: TabsProps) => React.JSX.Element;
export interface TabProps extends Omit<NativeFicusProps<'View'>, 'children'> {
    name?: string;
    children: ReactNode | string | TabBarProps<any>['renderLabel'];
}
export declare const Tab: (props: TabProps) => React.JSX.Element;
export interface TabListProps extends NativeFicusProps<'View'>, Omit<RNTabBarProps<Route>, 'gap' | 'position' | 'navigationState' | 'layout' | 'jumpTo'> {
}
export declare const TabList: (props: TabListProps) => React.JSX.Element;
export interface TabPanelProps extends NativeFicusProps<'View'> {
    linkedTo?: string;
}
export declare const TabPanel: (props: TabPanelProps) => React.JSX.Element;
export declare const TabPanels: import("../system/system.types").FicusComponent<"View", {}>;
export {};
//# sourceMappingURL=index.d.ts.map