import { ViewStyle } from 'react-native';
import { Config } from '../utils/prop-config';
import { ResponsiveValue } from '../utils/types';
export declare const flexbox: Config<FlexboxProps>;
type FlexDirection = ViewStyle['flexDirection'];
type FlexWrap = ViewStyle['flexWrap'];
type FlexJustify = ViewStyle['justifyContent'];
type FlexAlignSelf = ViewStyle['alignSelf'];
type FlexAlignItems = ViewStyle['alignItems'];
export interface FlexboxProps {
    flex?: ResponsiveValue<number>;
    flexDirection?: ResponsiveValue<FlexDirection>;
    direction?: ResponsiveValue<FlexDirection>;
    flexWrap?: ResponsiveValue<FlexWrap>;
    wrap?: ResponsiveValue<FlexWrap>;
    flexBasis?: ResponsiveValue<string | number>;
    basis?: ResponsiveValue<string | number>;
    flexGrow?: ResponsiveValue<number>;
    grow?: ResponsiveValue<number>;
    flexShrink?: ResponsiveValue<number>;
    shrink?: ResponsiveValue<number>;
    justifyContent?: ResponsiveValue<FlexJustify>;
    justify?: ResponsiveValue<FlexJustify>;
    alignSelf?: ResponsiveValue<FlexAlignSelf>;
    alignItems?: ResponsiveValue<FlexAlignItems>;
    align?: ResponsiveValue<FlexAlignItems>;
}
export {};
//# sourceMappingURL=flexbox.d.ts.map