import { TextStyle } from 'react-native';
import { Config } from '../utils/prop-config';
import { ResponsiveValue } from '../utils/types';
export declare const text: Config<TextStyleProps>;
/**
 * Only for React native Text Component
 */
export interface TextStyleProps {
    color?: string;
    textColor?: string;
    fontSize?: ResponsiveValue<string | number>;
    textDecorLine?: ResponsiveValue<TextStyle['textDecorationLine']>;
    textDecorStyle?: ResponsiveValue<TextStyle['textDecorationStyle']>;
    fontStyle?: ResponsiveValue<TextStyle['fontStyle']>;
    textDecorColor?: ResponsiveValue<string>;
    fontWeight?: ResponsiveValue<TextStyle['fontWeight']>;
    fontFamily?: ResponsiveValue<'heading' | 'mono' | (string & {})>;
    lineHeight?: ResponsiveValue<number>;
    textAlign?: ResponsiveValue<TextStyle['textAlign']>;
    textTransform?: ResponsiveValue<TextStyle['textTransform']>;
    letterSpacing?: ResponsiveValue<number>;
    textAlignVertical?: ResponsiveValue<TextStyle['textAlignVertical']>;
    textDecorationLine?: ResponsiveValue<TextStyle['textDecorationLine']>;
    textDecorationStyle?: ResponsiveValue<TextStyle['textDecorationStyle']>;
    textDecorationColor?: ResponsiveValue<string>;
    textShadowColor?: ResponsiveValue<string>;
    textShadowOffset?: ResponsiveValue<TextStyle['textShadowOffset']>;
    textShadowRadius?: ResponsiveValue<string | number>;
}
//# sourceMappingURL=text.d.ts.map