import { ColorMode } from '../theme/context';
import { Dict } from './utils';
/**
 * Represents states managed by the React Native `Pressable` component.
 * These states are controlled automatically based on user interactions.
 */
export interface PressableStates {
    /** Whether the component is currently being pressed. */
    pressed?: boolean;
}
/**
 * Represents custom states that are manually controlled within the library.
 */
export interface CustomStates {
    /** Whether the component is disabled and non-interactive. */
    disabled?: boolean;
    /** Whether the component is focused. */
    focused?: boolean;
    /** Whether the component is checked. */
    checked?: boolean;
}
export interface ComponentStates extends PressableStates, CustomStates {
}
export declare function stateStyleResolver(states: CustomStates, colorMode: ColorMode): (styles: Dict) => any;
//# sourceMappingURL=state-styles.d.ts.map