import { ThemeTypings } from './theme.types';
import { Dict, ResponsiveValue } from './utils/types';
export interface ThemingProps<ThemeComponent extends string = any> {
    variant?: ResponsiveValue<ResponsiveValue<ThemeComponent extends keyof ThemeTypings['components'] ? ThemeTypings['components'][ThemeComponent]['variants'] : string>>;
    size?: ResponsiveValue<ThemeComponent extends keyof ThemeTypings['components'] ? ThemeTypings['components'][ThemeComponent]['sizes'] : string>;
    colorScheme?: ThemeTypings['colorSchemes'];
    styleConfig?: Dict;
    duration?: number;
}
export declare function omitThemingProps<T extends ThemingProps>(props: T): Omit<T, "size" | "variant" | "colorScheme" | "styleConfig">;
//# sourceMappingURL=theming-props.d.ts.map