export declare const avatarTheme: {
    baseStyle?: ((props: import("../../style-system").StyleFunctionProps) => {
        badge: {
            bg: string;
            borderRadius: string;
            borderWidth: number;
            borderColor: string;
            borderStyle: string;
        };
        excessLabel: {
            bg: string;
            fontSize: string;
            width: number;
            height: number;
        };
        container: {
            bg: string;
            borderColor: string;
            verticalAlign: string;
            width: number;
            height: number;
        };
        label: {
            color: string;
        };
    }) | undefined;
    sizes?: {
        xs: {
            container: {
                width: number;
                height: number;
            };
            excessLabel: {
                width: number;
                height: number;
                fontSize: number;
            };
            label: {
                fontSize: number;
            };
            badge: {
                width: number;
                height: number;
                top: number;
                right: number;
            };
        };
        sm: {
            container: {
                width: number;
                height: number;
            };
            excessLabel: {
                width: number;
                height: number;
                fontSize: number;
            };
            label: {
                fontSize: number;
            };
            badge: {
                width: number;
                height: number;
                top: number;
                right: number;
            };
        };
        md: {
            container: {
                width: number;
                height: number;
            };
            excessLabel: {
                width: number;
                height: number;
                fontSize: number;
            };
            label: {
                fontSize: number;
            };
            badge: {
                width: number;
                height: number;
                top: number;
                right: number;
            };
        };
        lg: {
            container: {
                width: number;
                height: number;
            };
            excessLabel: {
                width: number;
                height: number;
                fontSize: number;
            };
            label: {
                fontSize: number;
            };
            badge: {
                width: number;
                height: number;
                top: number;
                right: number;
            };
        };
        xl: {
            container: {
                width: number;
                height: number;
            };
            excessLabel: {
                width: number;
                height: number;
                fontSize: number;
            };
            label: {
                fontSize: number;
            };
            badge: {
                width: number;
                height: number;
                top: number;
                right: number;
            };
        };
    } | undefined;
    variants?: import("../../style-system").Dict<import("../../style-system").PartsStyleInterpolation<("label" | "badge" | "container" | "excessLabel" | "group")[]>> | undefined;
    defaultProps?: {
        size?: "sm" | "md" | "xs" | "lg" | "xl" | undefined;
        variant?: string | number | undefined;
        colorScheme?: string | undefined;
        duration?: number | undefined;
    } | undefined;
    parts: ("label" | "badge" | "container" | "excessLabel" | "group")[];
};
//# sourceMappingURL=avatar.d.ts.map