export declare const buttonTheme: {
    baseStyle?: {
        borderRadius: string;
        alignSelf: string;
        fontWeight: string;
        _disabled: {
            opacity: number;
        };
    } | undefined;
    sizes?: {
        xs: {
            px: number;
            fontSize: number;
            height: number;
        };
        sm: {
            px: number;
            fontSize: number;
            height: number;
        };
        md: {
            px: number;
            fontSize: number;
            height: number;
        };
        lg: {
            px: number;
            fontSize: number;
            height: number;
        };
        xl: {
            px: number;
            fontSize: number;
            height: number;
        };
        '2xl': {
            px: number;
            fontSize: number;
            height: number;
        };
    } | undefined;
    variants?: {
        ghost: (props: import("../../style-system").StyleFunctionProps) => {
            color: string;
            _dark: {
                color: string;
                borderColor?: undefined;
            };
            _pressed: {
                bg: string;
                _dark: {
                    bg: string;
                };
            };
            bg?: undefined;
        } | {
            color: string;
            bg: string;
            _dark: {
                color: string;
                borderColor: string;
            };
            _pressed: {
                bg: string;
                _dark: {
                    bg: string;
                };
            };
        };
        outline: (props: import("../../style-system").StyleFunctionProps) => {
            color: string;
            _dark: {
                color: string;
                borderColor?: undefined;
            };
            _pressed: {
                bg: string;
                _dark: {
                    bg: string;
                };
            };
            bg?: undefined;
            borderWidth: number;
            borderStyle: string;
            borderColor: string;
        } | {
            color: string;
            bg: string;
            _dark: {
                color: string;
                borderColor: string;
            };
            _pressed: {
                bg: string;
                _dark: {
                    bg: string;
                };
            };
            borderWidth: number;
            borderStyle: string;
            borderColor: string;
        };
        solid: (props: import("../../style-system").StyleFunctionProps) => {
            bg: string;
            color: string;
            _dark: {
                bg: string;
                color: string;
            };
            _pressed: {
                bg: string;
                _dark: {
                    bg: string;
                    color: string;
                };
            };
        };
        link: (props: import("../../style-system").StyleFunctionProps) => {
            padding: number;
            lineHeight: number;
            textDecorationLine: string;
            textDecorationColor: string;
            verticalAlign: string;
            color: string;
            _dark: {
                color: string;
                textDecorationColor: string;
            };
        };
    } | undefined;
    defaultProps?: {
        size?: "sm" | "md" | "xs" | "lg" | "xl" | "2xl" | undefined;
        variant?: "solid" | "outline" | "ghost" | "link" | undefined;
        colorScheme?: string | undefined;
    } | undefined;
};
//# sourceMappingURL=button.d.ts.map