export declare const checkboxTheme: {
    baseStyle?: ((props: import("../../style-system").StyleFunctionProps) => {
        container: {
            flexDirection: string;
            alignItems: string;
            alignSelf: string;
        };
        control: {
            alignItems: string;
            justifyContent: string;
            bg: string;
            borderRadius: string;
            borderColor: string;
            borderWidth: number;
            _dark: {
                bg: string;
                borderColor: string;
            };
            _checked: {
                borderWidth: number;
                bg: string;
                _dark: {
                    bg: string;
                };
            };
            _disabled: {
                opacity: number;
            };
        };
        label: {
            color: string;
            _dark: {
                color: string;
            };
            _disabled: {
                opacity: number;
            };
        };
        icon: {
            color: string;
            _checked: {
                _dark: {
                    color: string;
                };
            };
        };
    }) | undefined;
    sizes?: {
        xs: {
            control: {
                w: number;
                h: number;
            };
            icon: {
                size: string;
            };
            label: {
                ml: string;
                fontSize: string;
            };
        };
        sm: {
            control: {
                w: number;
                h: number;
            };
            icon: {
                size: string;
            };
            label: {
                ml: string;
                fontSize: string;
            };
        };
        md: {
            control: {
                w: number;
                h: number;
            };
            icon: {
                size: string;
            };
            label: {
                ml: string;
                fontSize: string;
            };
        };
        lg: {
            control: {
                w: number;
                h: number;
            };
            icon: {
                size: string;
            };
            label: {
                ml: string;
                fontSize: string;
            };
        };
    } | undefined;
    variants?: import("../../style-system").Dict<import("../../style-system").PartsStyleInterpolation<("label" | "container" | "control" | "icon")[]>> | undefined;
    defaultProps?: {
        size?: "sm" | "md" | "xs" | "lg" | undefined;
        variant?: string | number | undefined;
        colorScheme?: string | undefined;
        duration?: number | undefined;
    } | undefined;
    parts: ("label" | "container" | "control" | "icon")[];
};
//# sourceMappingURL=checkbox.d.ts.map