export declare const inputTheme: {
    baseStyle?: {
        borderRadius: string;
        alignSelf: string;
        fontWeight: string;
        px: string;
        py: string;
        fontSize: string;
        bg: string;
        color: string;
        shadow: number;
        _disabled: {
            opacity: number;
        };
        _dark: {
            bg: string;
            color: string;
        };
    } | undefined;
    sizes?: {
        xs: {
            height: number;
            px: string;
            py: number;
            fontSize: string;
            _focused: {
                px: number;
                py: number;
            };
        };
        sm: {
            height: number;
            px: string;
            py: string;
            fontSize: string;
            _focused: {
                px: number;
                py: number;
            };
        };
        md: {
            height: number;
            px: string;
            py: string;
            fontSize: string;
            _focused: {
                px: number;
                py: number;
            };
        };
        lg: {
            height: number;
            px: string;
            py: string;
            fontSize: string;
            _focused: {
                px: number;
                py: number;
            };
        };
    } | undefined;
    variants?: {
        outline: {
            borderWidth: number;
            borderStyle: string;
            borderColor: string;
            _focused: {
                borderWidth: number;
                borderStyle: string;
                borderColor: string;
                _dark: {
                    borderColor: string;
                };
            };
            _dark: {
                borderColor: string;
            };
        };
    } | undefined;
    defaultProps?: {
        size?: "sm" | "md" | "xs" | "lg" | undefined;
        variant?: "outline" | undefined;
        colorScheme?: string | undefined;
    } | undefined;
};
//# sourceMappingURL=input.d.ts.map