/// <reference types="react" />
import { BaseToastProps, ToastPosition, ToastProps } from 'react-native-toast-message';
import { Dict } from '../style-system';
export interface ThemeToastProps extends BaseToastProps, ToastProps {
    props?: Dict;
}
export declare const theme: {
    toastProps: {
        position: ToastPosition;
        config: {
            success: ({ text1, text2 }: BaseToastProps) => import("react").JSX.Element;
            error: ({ text1, text2 }: BaseToastProps) => import("react").JSX.Element;
            warning: ({ text1, text2 }: BaseToastProps) => import("react").JSX.Element;
            info: ({ text1, text2 }: BaseToastProps) => import("react").JSX.Element;
        };
    };
    fontSizes: {
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
        '2xl': number;
        '3xl': number;
        '4xl': number;
        '5xl': number;
        '6xl': number;
    };
    fonts: {
        fontWeights: {
            hairline: number;
            thin: number;
            light: number;
            normal: number;
            medium: number;
            semibold: number;
            bold: number;
            extrabold: number;
            black: number;
        };
        fontFamily: {};
    };
    breakpoints: {
        base: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
    };
    colors: {
        transparent: string;
        current: string;
        black: string;
        white: string;
        whiteAlpha: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
        };
        blackAlpha: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
        };
        gray: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
        };
        red: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
        };
        orange: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
        };
        yellow: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
        };
        green: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
        };
        teal: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
        };
        blue: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
        };
        cyan: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
        };
        purple: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
        };
        pink: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
        };
    };
    radius: {
        none: number;
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
        '2xl': number;
        full: number;
    };
    shadows: {
        none: {};
        xs: {
            shadowColor: string;
            shadowOffset: {
                width: number;
                height: number;
            };
            shadowOpacity: number;
            shadowRadius: number;
            elevation: number;
        };
        sm: {
            shadowColor: string;
            shadowOffset: {
                width: number;
                height: number;
            };
            shadowOpacity: number;
            shadowRadius: number;
            elevation: number;
        };
        md: {
            shadowColor: string;
            shadowOffset: {
                width: number;
                height: number;
            };
            shadowOpacity: number;
            shadowRadius: number;
            elevation: number;
        };
        lg: {
            shadowColor: string;
            shadowOffset: {
                width: number;
                height: number;
            };
            shadowOpacity: number;
            shadowRadius: number;
            elevation: number;
        };
        xl: {
            shadowColor: string;
            shadowOffset: {
                width: number;
                height: number;
            };
            shadowOpacity: number;
            shadowRadius: number;
            elevation: number;
        };
        '2xl': {
            shadowColor: string;
            shadowOffset: {
                width: number;
                height: number;
            };
            shadowOpacity: number;
            shadowRadius: number;
            elevation: number;
        };
    };
    space: {
        none: number;
        xs: number;
        sm: number;
        md: number;
        lg: number;
        xl: number;
        '2xl': number;
        '3xl': number;
        '-xs': number;
        '-sm': number;
        '-md': number;
        '-lg': number;
        '-xl': number;
        '-2xl': number;
        '-3xl': number;
    };
    components: {
        Avatar: {
            baseStyle?: ((props: import("../style-system").StyleFunctionProps) => {
                badge: {
                    bg: string;
                    borderRadius: string;
                    borderWidth: number;
                    borderColor: string;
                    borderStyle: string;
                };
                excessLabel: {
                    bg: string;
                    fontSize: string;
                    width: number;
                    height: number;
                };
                container: {
                    bg: string;
                    borderColor: string;
                    verticalAlign: string;
                    width: number;
                    height: number;
                };
                label: {
                    color: string;
                };
            }) | undefined;
            sizes?: {
                xs: {
                    container: {
                        width: number;
                        height: number;
                    };
                    excessLabel: {
                        width: number;
                        height: number;
                        fontSize: number;
                    };
                    label: {
                        fontSize: number;
                    };
                    badge: {
                        width: number;
                        height: number;
                        top: number;
                        right: number;
                    };
                };
                sm: {
                    container: {
                        width: number;
                        height: number;
                    };
                    excessLabel: {
                        width: number;
                        height: number;
                        fontSize: number;
                    };
                    label: {
                        fontSize: number;
                    };
                    badge: {
                        width: number;
                        height: number;
                        top: number;
                        right: number;
                    };
                };
                md: {
                    container: {
                        width: number;
                        height: number;
                    };
                    excessLabel: {
                        width: number;
                        height: number;
                        fontSize: number;
                    };
                    label: {
                        fontSize: number;
                    };
                    badge: {
                        width: number;
                        height: number;
                        top: number;
                        right: number;
                    };
                };
                lg: {
                    container: {
                        width: number;
                        height: number;
                    };
                    excessLabel: {
                        width: number;
                        height: number;
                        fontSize: number;
                    };
                    label: {
                        fontSize: number;
                    };
                    badge: {
                        width: number;
                        height: number;
                        top: number;
                        right: number;
                    };
                };
                xl: {
                    container: {
                        width: number;
                        height: number;
                    };
                    excessLabel: {
                        width: number;
                        height: number;
                        fontSize: number;
                    };
                    label: {
                        fontSize: number;
                    };
                    badge: {
                        width: number;
                        height: number;
                        top: number;
                        right: number;
                    };
                };
            } | undefined;
            variants?: Dict<import("../style-system").PartsStyleInterpolation<("label" | "badge" | "container" | "excessLabel" | "group")[]>> | undefined;
            defaultProps?: {
                size?: "sm" | "md" | "xs" | "lg" | "xl" | undefined;
                variant?: string | number | undefined;
                colorScheme?: string | undefined;
                duration?: number | undefined;
            } | undefined;
            parts: ("label" | "badge" | "container" | "excessLabel" | "group")[];
        };
        Badge: {
            baseStyle?: {
                px: number;
                py: number;
                textTransform: string;
                fontSize: string;
                borderRadius: string;
                fontWeight: string;
                alignSelf: string;
            } | undefined;
            sizes?: {
                xs: {
                    fontSize: number;
                };
                sm: {
                    fontSize: number;
                };
                md: {
                    fontSize: number;
                };
                lg: {
                    fontSize: number;
                };
                xl: {
                    fontSize: number;
                };
                '2xl': {
                    fontSize: number;
                };
            } | undefined;
            variants?: {
                solid: (props: import("../style-system").StyleFunctionProps) => {
                    bg: string;
                    color: string;
                };
                subtle: (props: import("../style-system").StyleFunctionProps) => {
                    bg: string;
                    color: string;
                    _dark: {
                        bg: string;
                        color: string;
                    };
                };
                outline: (props: import("../style-system").StyleFunctionProps) => {
                    color: string;
                    borderWidth: number;
                    borderColor: string;
                    _dark: {
                        color: string;
                        borderColor: string;
                    };
                };
            } | undefined;
            defaultProps?: {
                size?: "sm" | "md" | "xs" | "lg" | "xl" | "2xl" | undefined;
                variant?: "solid" | "subtle" | "outline" | undefined;
                colorScheme?: string | undefined;
            } | undefined;
        };
        Button: {
            baseStyle?: {
                borderRadius: string;
                alignSelf: string;
                fontWeight: string;
                _disabled: {
                    opacity: number;
                };
            } | undefined;
            sizes?: {
                xs: {
                    px: number;
                    fontSize: number;
                    height: number;
                };
                sm: {
                    px: number;
                    fontSize: number;
                    height: number;
                };
                md: {
                    px: number;
                    fontSize: number;
                    height: number;
                };
                lg: {
                    px: number;
                    fontSize: number;
                    height: number;
                };
                xl: {
                    px: number;
                    fontSize: number;
                    height: number;
                };
                '2xl': {
                    px: number;
                    fontSize: number;
                    height: number;
                };
            } | undefined;
            variants?: {
                ghost: (props: import("../style-system").StyleFunctionProps) => {
                    color: string;
                    _dark: {
                        color: string;
                        borderColor?: undefined;
                    };
                    _pressed: {
                        bg: string;
                        _dark: {
                            bg: string;
                        };
                    };
                    bg?: undefined;
                } | {
                    color: string;
                    bg: string;
                    _dark: {
                        color: string;
                        borderColor: string;
                    };
                    _pressed: {
                        bg: string;
                        _dark: {
                            bg: string;
                        };
                    };
                };
                outline: (props: import("../style-system").StyleFunctionProps) => {
                    color: string;
                    _dark: {
                        color: string;
                        borderColor?: undefined;
                    };
                    _pressed: {
                        bg: string;
                        _dark: {
                            bg: string;
                        };
                    };
                    bg?: undefined;
                    borderWidth: number;
                    borderStyle: string;
                    borderColor: string;
                } | {
                    color: string;
                    bg: string;
                    _dark: {
                        color: string;
                        borderColor: string;
                    };
                    _pressed: {
                        bg: string;
                        _dark: {
                            bg: string;
                        };
                    };
                    borderWidth: number;
                    borderStyle: string;
                    borderColor: string;
                };
                solid: (props: import("../style-system").StyleFunctionProps) => {
                    bg: string;
                    color: string;
                    _dark: {
                        bg: string;
                        color: string;
                    };
                    _pressed: {
                        bg: string;
                        _dark: {
                            bg: string;
                            color: string;
                        };
                    };
                };
                link: (props: import("../style-system").StyleFunctionProps) => {
                    padding: number;
                    lineHeight: number;
                    textDecorationLine: string;
                    textDecorationColor: string;
                    verticalAlign: string;
                    color: string;
                    _dark: {
                        color: string;
                        textDecorationColor: string;
                    };
                };
            } | undefined;
            defaultProps?: {
                size?: "sm" | "md" | "xs" | "lg" | "xl" | "2xl" | undefined;
                variant?: "solid" | "outline" | "ghost" | "link" | undefined;
                colorScheme?: string | undefined;
            } | undefined;
        };
        Checkbox: {
            baseStyle?: ((props: import("../style-system").StyleFunctionProps) => {
                container: {
                    flexDirection: string;
                    alignItems: string;
                    alignSelf: string;
                };
                control: {
                    alignItems: string;
                    justifyContent: string;
                    bg: string;
                    borderRadius: string;
                    borderColor: string;
                    borderWidth: number;
                    _dark: {
                        bg: string;
                        borderColor: string;
                    };
                    _checked: {
                        borderWidth: number;
                        bg: string;
                        _dark: {
                            bg: string;
                        };
                    };
                    _disabled: {
                        opacity: number;
                    };
                };
                label: {
                    color: string;
                    _dark: {
                        color: string;
                    };
                    _disabled: {
                        opacity: number;
                    };
                };
                icon: {
                    color: string;
                    _checked: {
                        _dark: {
                            color: string;
                        };
                    };
                };
            }) | undefined;
            sizes?: {
                xs: {
                    control: {
                        w: number;
                        h: number;
                    };
                    icon: {
                        size: string;
                    };
                    label: {
                        ml: string;
                        fontSize: string;
                    };
                };
                sm: {
                    control: {
                        w: number;
                        h: number;
                    };
                    icon: {
                        size: string;
                    };
                    label: {
                        ml: string;
                        fontSize: string;
                    };
                };
                md: {
                    control: {
                        w: number;
                        h: number;
                    };
                    icon: {
                        size: string;
                    };
                    label: {
                        ml: string;
                        fontSize: string;
                    };
                };
                lg: {
                    control: {
                        w: number;
                        h: number;
                    };
                    icon: {
                        size: string;
                    };
                    label: {
                        ml: string;
                        fontSize: string;
                    };
                };
            } | undefined;
            variants?: Dict<import("../style-system").PartsStyleInterpolation<("label" | "container" | "control" | "icon")[]>> | undefined;
            defaultProps?: {
                size?: "sm" | "md" | "xs" | "lg" | undefined;
                variant?: string | number | undefined;
                colorScheme?: string | undefined;
                duration?: number | undefined;
            } | undefined;
            parts: ("label" | "container" | "control" | "icon")[];
        };
        CheckboxGroup: {
            baseStyle?: {} | undefined;
            sizes?: Dict<import("../style-system").SystemStyleInterpolation> | undefined;
            variants?: Dict<import("../style-system").SystemStyleInterpolation> | undefined;
            defaultProps?: {
                size?: string | number | undefined;
                variant?: string | number | undefined;
                colorScheme?: string | undefined;
            } | undefined;
        };
        Radio: {
            baseStyle?: ((props: import("../style-system").StyleFunctionProps) => {
                container: {
                    flexDirection: string;
                    alignItems: string;
                    alignSelf: string;
                };
                control: {
                    alignItems: string;
                    justifyContent: string;
                    bg: string;
                    borderRadius: string;
                    borderColor: string;
                    _dark: {
                        bg: string;
                        borderColor: string;
                    };
                    _checked: {
                        borderColor: string;
                        _dark: {
                            borderColor: string;
                        };
                    };
                    _disabled: {
                        opacity: number;
                    };
                };
                label: {
                    color: string;
                    _dark: {
                        color: string;
                    };
                    _disabled: {
                        opacity: number;
                    };
                };
            }) | undefined;
            sizes?: {
                xs: {
                    control: {
                        w: number;
                        h: number;
                        borderWidth: number;
                        _checked: {
                            borderWidth: number;
                        };
                    };
                    label: {
                        ml: string;
                        fontSize: string;
                    };
                };
                sm: {
                    control: {
                        w: number;
                        h: number;
                        borderWidth: number;
                        _checked: {
                            borderWidth: number;
                        };
                    };
                    label: {
                        ml: string;
                        fontSize: string;
                    };
                };
                md: {
                    control: {
                        w: number;
                        h: number;
                        borderWidth: number;
                        _checked: {
                            borderWidth: number;
                        };
                    };
                    label: {
                        ml: string;
                        fontSize: string;
                    };
                };
                lg: {
                    control: {
                        w: number;
                        h: number;
                        borderWidth: number;
                        _checked: {
                            borderWidth: number;
                        };
                    };
                    label: {
                        ml: string;
                        fontSize: string;
                    };
                };
            } | undefined;
            variants?: Dict<import("../style-system").PartsStyleInterpolation<("label" | "container" | "control")[]>> | undefined;
            defaultProps?: {
                size?: "sm" | "md" | "xs" | "lg" | undefined;
                variant?: string | number | undefined;
                colorScheme?: string | undefined;
                duration?: number | undefined;
            } | undefined;
            parts: ("label" | "container" | "control")[];
        };
        RadioGroup: {
            baseStyle?: {} | undefined;
            sizes?: Dict<import("../style-system").SystemStyleInterpolation> | undefined;
            variants?: Dict<import("../style-system").SystemStyleInterpolation> | undefined;
            defaultProps?: {
                size?: string | number | undefined;
                variant?: string | number | undefined;
                colorScheme?: string | undefined;
            } | undefined;
        };
        IconButton: {
            baseStyle?: {
                borderRadius: string;
                alignSelf: string;
                fontWeight: string;
                _disabled: {
                    opacity: number;
                };
            } | undefined;
            sizes?: {
                xs: {
                    fontSize: number;
                    height: number;
                    width: number;
                };
                sm: {
                    fontSize: number;
                    height: number;
                    width: number;
                };
                md: {
                    fontSize: number;
                    height: number;
                    width: number;
                };
                lg: {
                    fontSize: number;
                    height: number;
                    width: number;
                };
                xl: {
                    fontSize: number;
                    height: number;
                    width: number;
                };
                '2xl': {
                    fontSize: number;
                    height: number;
                    width: number;
                };
            } | undefined;
            variants?: {
                ghost: (props: import("../style-system").StyleFunctionProps) => {
                    color: string;
                    _dark: {
                        color: string;
                        borderColor?: undefined;
                    };
                    _pressed: {
                        bg: string;
                        _dark: {
                            bg: string;
                        };
                    };
                    bg?: undefined;
                } | {
                    color: string;
                    bg: string;
                    _dark: {
                        color: string;
                        borderColor: string;
                    };
                    _pressed: {
                        bg: string;
                        _dark: {
                            bg: string;
                        };
                    };
                };
                outline: (props: import("../style-system").StyleFunctionProps) => {
                    color: string;
                    _dark: {
                        color: string;
                        borderColor?: undefined;
                    };
                    _pressed: {
                        bg: string;
                        _dark: {
                            bg: string;
                        };
                    };
                    bg?: undefined;
                    borderWidth: number;
                    borderStyle: string;
                    borderColor: string;
                } | {
                    color: string;
                    bg: string;
                    _dark: {
                        color: string;
                        borderColor: string;
                    };
                    _pressed: {
                        bg: string;
                        _dark: {
                            bg: string;
                        };
                    };
                    borderWidth: number;
                    borderStyle: string;
                    borderColor: string;
                };
                solid: (props: import("../style-system").StyleFunctionProps) => {
                    bg: string;
                    color: string;
                    _dark: {
                        bg: string;
                        color: string;
                    };
                    _pressed: {
                        bg: string;
                        _dark: {
                            bg: string;
                            color: string;
                        };
                    };
                };
                link: (props: import("../style-system").StyleFunctionProps) => {
                    padding: number;
                    lineHeight: number;
                    textDecorationLine: string;
                    textDecorationColor: string;
                    verticalAlign: string;
                    color: string;
                    _dark: {
                        color: string;
                        textDecorationColor: string;
                    };
                };
            } | undefined;
            defaultProps?: {
                size?: "sm" | "md" | "xs" | "lg" | "xl" | "2xl" | undefined;
                variant?: "solid" | "outline" | "ghost" | "link" | undefined;
                colorScheme?: string | undefined;
            } | undefined;
        };
        Slider: {
            baseStyle?: ((props: import("../style-system").StyleFunctionProps) => {
                container: {};
                track: {
                    bg: string;
                    _dark: {
                        bg: string;
                    };
                };
                thumb: {
                    bg: string;
                };
                filledTrack: {
                    bg: string;
                    _dark: {
                        bg: string;
                    };
                };
            }) | undefined;
            sizes?: {
                sm: {};
                md: {};
                lg: {};
            } | undefined;
            variants?: Dict<import("../style-system").PartsStyleInterpolation<("container" | "track" | "thumb" | "filledTrack")[]>> | undefined;
            defaultProps?: {
                size?: "sm" | "md" | "lg" | undefined;
                variant?: string | number | undefined;
                colorScheme?: string | undefined;
                duration?: number | undefined;
            } | undefined;
            parts: ("container" | "track" | "thumb" | "filledTrack")[];
        };
        Switch: {
            baseStyle?: ((props: import("../style-system").StyleFunctionProps) => {
                container: {};
                track: {
                    flexDirection: string;
                    alignItems: string;
                    borderRadius: string;
                    bg: string;
                    _dark: {
                        bg: string;
                    };
                    _checked: {
                        bg: string;
                        _dark: {
                            bg: string;
                        };
                    };
                    _disabled: {
                        opacity: number;
                    };
                };
                thumb: {
                    borderRadius: string;
                    w: number;
                    h: number;
                    bg: string;
                    _checked: {
                        bg: string;
                    };
                };
            }) | undefined;
            sizes?: {
                xs: {
                    track: {
                        h: number;
                        w: number;
                        p: number;
                    };
                    thumb: {
                        w: number;
                        h: number;
                    };
                };
                sm: {
                    track: {
                        h: number;
                        w: number;
                        p: number;
                    };
                    thumb: {
                        w: number;
                        h: number;
                    };
                };
                md: {
                    track: {
                        h: number;
                        w: number;
                        p: number;
                    };
                    thumb: {
                        w: number;
                        h: number;
                    };
                };
                lg: {
                    track: {
                        h: number;
                        w: number;
                        p: number;
                    };
                    thumb: {
                        w: number;
                        h: number;
                    };
                };
            } | undefined;
            variants?: Dict<import("../style-system").PartsStyleInterpolation<("container" | "track" | "thumb")[]>> | undefined;
            defaultProps?: {
                size?: "sm" | "md" | "xs" | "lg" | undefined;
                variant?: string | number | undefined;
                colorScheme?: string | undefined;
                duration?: number | undefined;
            } | undefined;
            parts: ("container" | "track" | "thumb")[];
        };
        Input: {
            baseStyle?: {
                borderRadius: string;
                alignSelf: string;
                fontWeight: string;
                px: string;
                py: string;
                fontSize: string;
                bg: string;
                color: string;
                shadow: number;
                _disabled: {
                    opacity: number;
                };
                _dark: {
                    bg: string;
                    color: string;
                };
            } | undefined;
            sizes?: {
                xs: {
                    height: number;
                    px: string;
                    py: number;
                    fontSize: string;
                    _focused: {
                        px: number;
                        py: number;
                    };
                };
                sm: {
                    height: number;
                    px: string;
                    py: string;
                    fontSize: string;
                    _focused: {
                        px: number;
                        py: number;
                    };
                };
                md: {
                    height: number;
                    px: string;
                    py: string;
                    fontSize: string;
                    _focused: {
                        px: number;
                        py: number;
                    };
                };
                lg: {
                    height: number;
                    px: string;
                    py: string;
                    fontSize: string;
                    _focused: {
                        px: number;
                        py: number;
                    };
                };
            } | undefined;
            variants?: {
                outline: {
                    borderWidth: number;
                    borderStyle: string;
                    borderColor: string;
                    _focused: {
                        borderWidth: number;
                        borderStyle: string;
                        borderColor: string;
                        _dark: {
                            borderColor: string;
                        };
                    };
                    _dark: {
                        borderColor: string;
                    };
                };
            } | undefined;
            defaultProps?: {
                size?: "sm" | "md" | "xs" | "lg" | undefined;
                variant?: "outline" | undefined;
                colorScheme?: string | undefined;
            } | undefined;
        };
        Textarea: {
            baseStyle?: {
                borderRadius: string;
                alignSelf: string;
                fontWeight: string;
                px: string;
                py: string;
                fontSize: string;
                bg: string;
                color: string;
                shadow: number;
                _disabled: {
                    opacity: number;
                };
                _dark: {
                    bg: string;
                    color: string;
                };
            } | undefined;
            sizes?: Dict<import("../style-system").SystemStyleInterpolation> | undefined;
            variants?: {
                outline: () => {
                    borderWidth: number;
                    borderStyle: string;
                    borderColor: string;
                    _focused: {
                        borderWidth: number;
                        borderStyle: string;
                        borderColor: string;
                        _dark: {
                            borderColor: string;
                        };
                    };
                    _dark: {
                        borderColor: string;
                    };
                };
            } | undefined;
            defaultProps?: {
                size?: string | number | undefined;
                variant?: "outline" | undefined;
                colorScheme?: string | undefined;
            } | undefined;
        };
        PinInput: {
            baseStyle?: {
                alignSelf: string;
                justifyContent: string;
            } | undefined;
            sizes?: Dict<import("../style-system").SystemStyleInterpolation> | undefined;
            variants?: {
                outline: () => {};
            } | undefined;
            defaultProps?: {
                size?: string | number | undefined;
                variant?: "outline" | undefined;
                colorScheme?: string | undefined;
            } | undefined;
        };
        PinInputField: {
            baseStyle?: {
                borderRadius: string;
                alignSelf: string;
                fontWeight: string;
                fontSize: string;
                bg: string;
                color: string;
                shadow: number;
                mr: string;
                justifyContent: string;
                alignItems: string;
                _disabled: {
                    opacity: number;
                };
                _dark: {
                    bg: string;
                    color: string;
                };
            } | undefined;
            sizes?: {
                xs: {
                    width: number;
                    height: number;
                };
                sm: {
                    width: number;
                    height: number;
                };
                md: {
                    width: number;
                    height: number;
                };
                lg: {
                    width: number;
                    height: number;
                };
            } | undefined;
            variants?: {
                outline: () => {
                    borderWidth: number;
                    borderStyle: string;
                    borderColor: string;
                    colorScheme: string;
                    _focused: {
                        borderWidth: number;
                        borderStyle: string;
                        borderColor: string;
                        _dark: {
                            borderColor: string;
                        };
                    };
                    _dark: {
                        borderColor: string;
                    };
                };
            } | undefined;
            defaultProps?: {
                size?: "sm" | "md" | "xs" | "lg" | undefined;
                variant?: "outline" | undefined;
                colorScheme?: string | undefined;
            } | undefined;
        };
        Select: {
            baseStyle?: {
                borderRadius: string;
                alignSelf: string;
                fontWeight: string;
                px: string;
                py: string;
                fontSize: string;
                bg: string;
                color: string;
                shadow: number;
                w: string;
                _disabled: {
                    opacity: number;
                };
                _dark: {
                    bg: string;
                    color: string;
                };
            } | undefined;
            sizes?: {
                xs: {
                    height: number;
                    px: string;
                    py: number;
                    fontSize: string;
                    _focused: {
                        px: number;
                    };
                };
                sm: {
                    height: number;
                    px: string;
                    py: string;
                    fontSize: string;
                    _focused: {
                        px: number;
                        py: number;
                    };
                };
                md: {
                    height: number;
                    px: string;
                    py: string;
                    fontSize: string;
                    _focused: {
                        px: number;
                        py: number;
                    };
                };
                lg: {
                    height: number;
                    px: string;
                    py: string;
                    fontSize: string;
                    _focused: {
                        px: number;
                        py: number;
                    };
                };
            } | undefined;
            variants?: {
                outline: () => {
                    borderWidth: number;
                    borderStyle: string;
                    borderColor: string;
                    _focused: {
                        borderWidth: number;
                        borderStyle: string;
                        borderColor: string;
                        _dark: {
                            borderColor: string;
                        };
                    };
                    _dark: {
                        borderColor: string;
                    };
                };
            } | undefined;
            defaultProps?: {
                size?: "sm" | "md" | "xs" | "lg" | undefined;
                variant?: "outline" | undefined;
                colorScheme?: string | undefined;
            } | undefined;
        };
        Tabs: {
            baseStyle?: {
                bg: string;
                _dark: {
                    bg: string;
                };
            } | undefined;
            sizes?: Dict<import("../style-system").SystemStyleInterpolation> | undefined;
            variants?: {
                default: {};
            } | undefined;
            defaultProps?: {
                size?: string | number | undefined;
                variant?: "default" | undefined;
                colorScheme?: string | undefined;
            } | undefined;
        };
        TabList: {
            baseStyle?: {
                bg: string;
                _dark: {
                    bg: string;
                };
            } | undefined;
            sizes?: Dict<import("../style-system").SystemStyleInterpolation> | undefined;
            variants?: {
                default: {};
            } | undefined;
            defaultProps?: {
                size?: string | number | undefined;
                variant?: "default" | undefined;
                colorScheme?: string | undefined;
            } | undefined;
        };
        Text: {
            baseStyle?: {
                _dark: {
                    color: string;
                };
            } | undefined;
            sizes?: Dict<import("../style-system").SystemStyleInterpolation> | undefined;
            variants?: Dict<import("../style-system").SystemStyleInterpolation> | undefined;
            defaultProps?: {
                size?: string | number | undefined;
                variant?: string | number | undefined;
                colorScheme?: string | undefined;
            } | undefined;
        };
    };
};
export type Theme = typeof theme;
//# sourceMappingURL=theme.default.d.ts.map